Highlighted wikisyntax while editing articles [AOI]
Closed, ResolvedPublic

Tokens
"Like" token, awarded by Mysteriumen."Like" token, awarded by Trizek-WMF."Party Time" token, awarded by Elitre."Like" token, awarded by TerraCodes."Love" token, awarded by Liuxinyu970226."Love" token, awarded by Pearli123."Love" token, awarded by He7d3r."Love" token, awarded by Shizhao."Love" token, awarded by intracer."Love" token, awarded by Ricordisamoa."Love" token, awarded by Perhelion.
Assigned To
Authored By
KasiaWMDE, Jun 3 2015

Description

As a Wikipedia editor I want to see highlighted wikisyntax while editing articles in sourcecode mode.

Further details:

See also

This task is #20 in the 2015 Community Wishlist survey.
This has also been one of the top 20 requests of the technical wishes survey in de-wiki in 2015

Related Objects

StatusAssignedTask
Resolvedkaldari
ResolvedNiharika
ResolvedPastakhov
ResolvedNiharika
ResolvedPastakhov
ResolvedReedy
ResolvedPastakhov
Resolvedkaldari
ResolvedPastakhov
ResolvedPastakhov
ResolvedNiharika
ResolvedSamwilson
DeclinedNone
ResolvedNirzar
ResolvedNiharika
ResolvedNiharika
ResolvedNiharika
ResolvedNiharika
ResolvedNiharika
ResolvedNiharika
ResolvedMaxSem
ResolvedNiharika
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedMusikAnimal
ResolvedMusikAnimal
StalledNone
ResolvedDeskana
StalledNone
OpenNone
ResolvedMaxSem
There are a very large number of changes, so older changes are hidden. Show Older Changes
TerraCodes added a subscriber: TerraCodes.
Elitre awarded a token.May 8 2017, 9:53 AM
DannyH added a subscriber: DannyH.Jul 6 2017, 9:55 PM

Syntax highlighting is now live on Test Wiki as a beta feature:

https://test.wikipedia.org/wiki/Special:Preferences#mw-prefsection-betafeatures

We're testing it this week before we deploy it to live wikis, so feel free to take a look, and leave comments here:

https://meta.wikimedia.org/wiki/Talk:Community_Tech/Wikitext_editor_syntax_highlighting

jeblad updated the task description. (Show Details)Aug 4 2017, 7:13 AM

Change 229616 abandoned by TheDJ:
[WIP] Syntax highlighter

Reason:
I think we can abandon this.

https://gerrit.wikimedia.org/r/229616

Restricted Application added a subscriber: Danmichaelo. · View Herald TranscriptAug 23 2017, 5:09 PM

A heads-up for people who are watching this ticket: the Beta feature is live again on LTR projects.

Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 6:39 PM
Lea_WMDE renamed this task from [GTWL] Epic: Highlighted wikisyntax while editing articles [AOI] to Highlighted wikisyntax while editing articles [AOI].Mar 9 2018, 11:01 AM
Lea_WMDE updated the task description. (Show Details)
gh87 added a subscriber: gh87.Mar 19 2018, 8:12 PM

The feature works at the 2003/default WikiEditor (the one without the javascript-coded toolbars filled with buttons as seen in later WikiEditors). I just have to:

  1. Enable the Toolbar
  2. Enable the "Syntax Highlighting" feature in the Beta Preference
  3. Click the syntax highlighting button in the Toolbar
  4. Disable the Toolbar without disabling the feature

I can enable or disable the feature without disabling it in the Toolbar. More at https://meta.wikimedia.org/wiki/Talk:Community_Tech/Wikitext_editor_syntax_highlighting#Not_working_in_2003_WikiEditor_and_whether_to_enable_or_disable_by_default

I wonder whether a separate task is necessary.

kaldari closed this task as Resolved.Mar 19 2018, 9:06 PM
kaldari claimed this task.

Thanks, forgot to close this task!

gh87 removed a subscriber: gh87.Mar 20 2018, 8:02 AM
Thgoiter removed a subscriber: Thgoiter.Mar 20 2018, 5:43 PM

Thanks, forgot to close this task!

I'm pretty sure this is meant to be the "for all users" task (i.e. the super-task of T185030 and T170001) and shouldn't be closed yet?

kaldari reopened this task as Open.Apr 12 2018, 9:53 PM

Good point. The feature is currently only available to logged-in users on some wikis, so it's only partially resolved.

CodeMirror has been deployed. Marking this as Resolved. Outstanding subtasks are stalled.

Niharika closed this task as Resolved.Aug 9 2018, 10:50 PM

CodeMirror has been deployed. Marking this as Resolved. Outstanding subtasks are stalled.

Apparently I forgot to resolve this. The outstanding task about support of RTL wikis on standard editors can be dealt with outside of this. Support on RTL is available on the 2017 wikitext editor.